<?php

/**
* v.001
*
* Pinball 2000 remote control
*
* (c) zagadka '2012 (rcw) - http://www.pinball-2000.de
*
* This is the web-server/router version.
*
*/


# Only customize the variables $p2k_ip, $p2k_user_name and $p2k_user_password
#
# Enter your Pinball 2000 ip, username and password inside the quotes "..."


$p2k_ip="192.168.1.53"; # IP of your Pinball 2000

$p2k_user_name="Pin2000"; # Login (name)

$p2k_user_password="Manager"; # Login (password)

# End 


require_once "telnet.class.p2k.php";


# Filters data coming from "GET"

function datafilter($getdata) 
{
   if (is_string($getdata)) 
   {
      $getdata = trim(strip_tags($getdata));
      if(get_magic_quotes_gpc()) { $getdata = stripslashes($getdata); }
   }
   return $getdata;
}

# Command selection

$commandslist = array(
"alien-aduction" => "scenemgr resetall stopall start 3",
"martian-happy-hour" => "scenemgr resetall stopall start 4",
"secret-weapon" => "scenemgr resetall stopall start 5",
"tower-struggle" => "scenemgr resetall stopall start 6",
"mystery-mode" => "scenemgr resetall stopall start 7",
"drive-in-demolition" => "scenemgr resetall stopall start 8",
"paris-in-peril" => "scenemgr resetall stopall start 9",
"big-o-beam" => "scenemgr resetall stopall start 10",
"mars-kneads-women" => "scenemgr resetall stopall start 11",
"fuel-bonus-wave" => "scenemgr resetall stopall start 0",
"saucer-bonus-wave" => "scenemgr resetall stopall start 1",
"weapons-bonus-wave" => "scenemgr resetall stopall start 2",
"attack-mars" => "attack_mars start",
"start-game" => "not-implemented-yet",
"game-over" => "game over",
"pause-game" => "not-implemented-yet",
"tilt" => "game tilt",
"add-credit" => "not-implemented-yet",
"dec-credit" => "credit dec",
"to-be-continued" => "not-implemented-yet",
"conf" => "conf");


// Example decode
// Der Wald ist voller Bäume
// Der%20Wald%20ist%20voller%20B%E4ume
//$var_encode = rawurlencode($var);
//$var_decode=rawurldecode($_GET['text']);

$p2kin=rawurldecode($_GET['p2kin']); 
$p2kin = datafilter($p2kin);


# Test, if command is in array

if (array_key_exists($p2kin, $commandslist)) 
{
   # echo "Das Element $p2kin ist in dem Array vorhanden";

   $p2kin = $commandslist[$p2kin];

   # Test, if function implemented

   if ($p2kin == 'not-implemented-yet')
   {
     echo "Error: Function not implemented yet!";
     break ;
   }


   # Start Telnet session

   $telnet = new Telnet($p2k_ip);

   $telnet->login($p2k_user_name, $p2k_user_password);

   echo $telnet->exec("$p2kin") . "\n";

   #echo $telnet->exec('ifconfig') . "\n";
   #echo $telnet->exec('ls -lh') . "\n";
   $telnet->disconnect();


   # Back to the previous Page
   # Einbauen: if schalter dann zurück oder Daten ausgeben ggf. bearbeiten.
   # Derzeit gibts nur eine Ausnahme für den Test P2k connection Knopf.

   if ($p2kin != "conf") 
   {
      $referer = $_SERVER['HTTP_REFERER'];

      header("location: $referer");
   }

}
else echo "Error: Command $p2kin not available!";


?>